<?php

class m131111_075929_event_reporting_event_time extends MyDbMigration
{
	public function up()
	{
		if ($this->dbConnection->schema->getTable('event_reporting')->getColumn('event_time') == null)
			$this->addColumn('event_reporting', 'event_time', 'datetime');
	}

	public function down()
	{
		if ($this->dbConnection->schema->getTable('event_reporting')->getColumn('event_time') != null)
			$this->dromColumn('event_reporting', 'event_time');
		
		return true;
	}

	/*
	// Use safeUp/safeDown to do migration with transaction
	public function safeUp()
	{
	}

	public function safeDown()
	{
	}
	*/
}